# About ToyEd Native

> A toy text editor in C++ and FLTK for educational purposes.

ToyEd is a toy text editor made for fun and learning. It's not meant for serious use, but rather to be studied and built upon.

ToyEd is written in 550 lines of C++ (see below), but has many expected features:

- GUI controls
- keyboard operation
- line and word count
- formatting functions
- display options

ToyEd Native is open source under the Boost license. See the included file.

As of 22 January 2024, the code seems to work right, but hasn't been tested much. Please back up your data.

The user interface should be fairly obvious.

## System requirements

Building ToyEd Native from source requires a C++11 compiler and the FLTK library, version 1.3 (or 1.4, reportedly). A makefile is included, but it does little more than

	g++ -o toyed -lfltk main.cpp

Minimum screen resolution: 800x600. Recommended: 1024x768.

## FAQ

Q: Have you considered adding syntax highlighting?

A: I'd love to, but that would be quite involved, especially for multiple languages, and ToyEd is meant to stay simple so it can serve as a basis for bigger apps. Not all text editors should be programming editors!

## Credits and support

ToyEd Native is a port of the original text editor written in Tcl/Tk. It shares most of the same features and overall design.

You can usually find me on IRC, in the #ctrl-c channel of tilde.chat, or else as @notimetoplay on the elekk.xyz Mastodon instance. Would love to hear from you.
